Name:           guvcview
Version:        1.6.1
Release:        %mkrel 4
Summary:        GTK+ UVC Viewer and Capturer
Group:          Video/Utilities
License:        GPLv3+
URL:            http://guvcview.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.gz
BuildRequires:  gtk+3-devel >= 3.0.0
BuildRequires:  gettext
BuildRequires:  SDL-devel >= 1.2.10
BuildRequires:  libpng-devel
BuildRequires:  portaudio-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libv4l-devel
BuildRequires:  libudev-devel
BuildRequires:	intltool >= 0.40
BuildRequires:	libpulseaudio-devel

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%prep
%setup -q -n %{name}-src-%{version}
find src -type f -exec chmod u=rw,go=r {} \;

%build
export CPPFLAGS
%configure2_5x --enable-pulse --disable-debian-menu
make

%install
%makeinstall_std

desktop-file-install \
        --add-category='X-AudioVideoCapture' \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

mv %{buildroot}%{_datadir}/doc/%{name} _doc
rm _doc/INSTALL

%files -f %{name}.lang
%doc _doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-4.mga3
+ Revision: 353038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.6.1-3.mga3
+ Revision: 341629
- rebuild for new ffmpeg

* Fri Dec 07 2012 dams <dams> 1.6.1-2.mga3
+ Revision: 327847
- update %%group

* Wed Aug 29 2012 dams <dams> 1.6.1-1.mga3
+ Revision: 285006
- remove unneeded patch
- new version 1.6.1

* Sun Jul 01 2012 colin <colin> 1.6.0-2.mga3
+ Revision: 265711
- Rebuild for new libudev major

* Thu May 31 2012 fwang <fwang> 1.6.0-1.mga3
+ Revision: 252022
- try to fix build with latest ffmpeg

  + dams <dams>
    - new version 1.6.0
    - update BR (now supports PulseAudio)

* Tue Mar 06 2012 dams <dams> 1.5.3-1.mga2
+ Revision: 219484
- new version 1.5.3

* Mon Feb 06 2012 dams <dams> 1.5.2-1.mga2
+ Revision: 205590
- new version 1.5.2
- remove patch as merged upstream

* Mon Nov 14 2011 dams <dams> 1.5.1-2.mga2
+ Revision: 167747
- add a patch to fix 'g_thread' from upstream (SVN r815)

* Thu Nov 10 2011 dams <dams> 1.5.1-1.mga2
+ Revision: 166229
- update BR for 'gtk3' instead of 'gtk2'
- imported package guvcview

